English

Error: The following feature cannot be installed due to missing dependencies: .NET Link and Developer Help

Error Message

During the ArcIMS installation the following error message may occur:

"The following feature cannot be installed due to missing dependencies: .NET Link and Developer Help"

Cause

ArcIMS 9.0 requires both .NET Framework 1.1 and .NET Framework 1.1 SDK to install the .NET Link and Developer Help feature. Installing ArcIMS on a machine without .NET Framework 1.1 SDK prompts the error message.

Solution or Workaround

To use the .NET Link and Developer Help feature, follow one of the solutions below.

  • Install both .NET Framework 1.1 and .NET Framework 1.1 SDK before installing ArcIMS to meet the install requirements for the .NET Link and Developer Help feature. If ArcIMS is already installed follow these steps after installing .NET Framework 1.1 and .NET Framework 1.1 SDK:

    1. Navigate to Start > Control Panel > Add/Remove Programs and click the Change button for ArcIMS.
    2. Select Modify and click Next.
    3. Expand the Application Server Connectors feature and select to install the .NET Link and Developer Help feature.
    4. Click Next, Next.
  • Install the .NET Link and Developer Help feature on a development machine that has both .NET Framework 1.1 and .NET Framework 1.1 SDK. After creating the application deploy it on the Production machine. See the Microsoft Knowledge Base for information on deploying applications that are built on the .NET Framework.

    Note:
    If a password for MSDN is avaiable, see the Microsoft Developer Network Help for help.